debram (2.3.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007445).

 -- Bastian Germann <bage@debian.org>  Fri, 13 Oct 2023 16:49:31 +0000

debram (2.3.0) unstable; urgency=low

  * Subramified 1440 Filesystems and Disks (User Commands).
  * Updated the new ram 1443 and the corresponding existing ram 8143,
    regarding CD-ROMs and their filesystems.
  * Added comm(1) to 1125 Text Sorting.
  * Added deb-substvars(5) to 5470 Debian File Formats.
  * Inserted into the architecture-specific binary package debram (rather than
    into the architecture-independent binary package debram-data) the new
    file /usr/lib/debram/arch.dat, consisting of a few bytes of
    architecture-specific placeholder data.  (In view of vague plans
    eventually to add more substantive architecture-specific content to the
    package, which has after all delivered substantive architecture-specific
    content in the past, alternatives seemed imprudent.  In alternative, the
    architecture-specific binary package could instead have been temporarily
    retired but, since the package remains harmless during the meantime, to
    retain the familiar debram/debram-data package pair seemed preferable.
    Retention lets upgrades proceed without special handling and without
    drawing a sysadmin's attention to a meaningless change in his or her local
    package list.  Besides, this way, Debian's ftp-master is not asked to
    fiddle with the temporary removal from the archive of a package that is
    likely to return, the maintainer's time is not wasted excising and then
    restoring the package, and so forth.)
  * Added Multi-Arch fields to debian/control.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 27 Jan 2021 00:00:00 +0000

debram (2.2.0.3) unstable; urgency=low

  * Removed, or attempted to remove, the indirect dependence in debian/rules
    of the architecture-specific build upon the arch-independent build stamp.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 16 Jan 2021 00:00:00 +0000

debram (2.2.0.2) unstable; urgency=low

  * Responded to automatic ftp-master objections.  (We'll see if the response
    satisfies ftp-master's current scripts.  If not, then further uploads will
    probably follow until this maintainer gets it right.)

 -- Thaddeus H. Black <thb@debian.org>  Fri, 15 Jan 2021 00:00:00 +0000

debram (2.2.0.1) unstable; urgency=low

  * Renamed docdata/HISTORY as docdata/DEVELOPMENT-HISTORY, for Debhelper now
    apparently recognizes any file named HISTORY to be a
    changelog (closes: #924166).  Thanked Andreas Beckmann for bringing the
    problem to attention.
  * Noted that the last changelog inadvertently gave the wrong bug number.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 14 Jan 2021 01:00:00 +0000

debram (2.2.0) unstable; urgency=low

  * Updated to use Debhelper 12 and Policy 4.5.1.
  * Gzipped all the doc files, even small ones.
  * Renamed docdata/HISTORY as docdata/DEVELOPMENT-HISTORY, for Debhelper now
    apparently recognizes any file named HISTORY to be a
    changelog (closes: #797706).  Thanked Andreas Beckmann for bringing the
    problem to attention.
  * Added to cmdsel.txt a few commands including git(1), udisksctl(1)
    and systemctl(1).
  * Thanked Holger Levsen for his recent, timely, helpful non-Maintainer
    upload (NMU), logged below.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 14 Jan 2021 00:00:00 +0000

debram (2.1.0+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:35:03 +0100

debram (2.1.0) unstable; urgency=low

  * Subramified 0230 Bash Variable Handling.
  * Where alternate Bash keypresses do the same thing, styled them
    as "foo or bar" rather than as "foo bar."
  * Expressed the Bash keypress Alt-foo instead as <Esc>foo.
  * Corrected the Bash keypress <Esc>n<Esc>^Y.
  * For Bash, preferred [@] to [*].
  * Covered Bash's array slicing.
  * Added lscpu(1) and glxinfo(1x).
  * Referred ifconfig(8) to ip(8).
  * Deleted tempfile(1), whose author or packager deprecates it in favor
    of mktemp(1).
  * Quietly restored a missing word to docdata/HISTORY.
  * Changed a few other points, too minor or too trivial to detail here.
  * Conformed to Standards Version 3.9.8.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 04 Jan 2019 00:00:00 +0000

debram (2.0.0.5) unstable; urgency=low

  * Reuploaded, changing only this file.  Reason: the last upload had
    in this file been dated "June" rather than "Jun" (closes: #797706).

 -- Thaddeus H. Black <thb@debian.org>  Wed, 06 Jul 2016 00:00:00 +0000

debram (2.0.0.4) unstable; urgency=low

  * Replaced an inadvertently idiosyncratic DSC signature which Pbuilder
    disliked with a normal signature (closes: #789293).  Thanked Daniel
    Schepler for the advice.

 -- Thaddeus H. Black <thb@debian.org>  Fri, 26 Jun 2015 00:00:00 +0000

debram (2.0.0.3) unstable; urgency=low

  * Fixed incorrect internal dependencies in debian/rules.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 21 May 2015 00:00:00 +0000

debram (2.0.0.2) unstable; urgency=low

  * Moved to debian/rules the CFLAGS mentioned in changelog 2.0.0.1.
  * In a requested effort to let the package build reproducibly, added
    dh_strip_nondeterminism to debian/rules.
  * Removed Lintian overrides.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 20 May 2015 00:00:00 +0000

debram (2.0.0.1) unstable; urgency=low

  * Added an otherwise unnecessary CFLAGS to the Makefile to try to avoid a
    maybe spurious Lintian warning.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 11 May 2015 00:00:00 +0000

debram (2.0.0) unstable; urgency=low

  * Removed the Debram database proper, leaving mainly just the Command
    Selection Guide.
  * Slightly updated the Command Selection Guide.  Noted however that the
    Guide's contents are quite old.
  * Appreciated A. Costa's interesting and highly literate wishlist bug report
    of nine years ago, yet noted here that if words like "metaramification"
    have not been fixed by this time, they probably never will be.  If interest
    in this wishlist report persists, Costa or any other interested person can
    reopen the report, with my compliments.  For now: (closes: #384953).
  * Noted here that Serafeim Zanikolas' wishlist bug report of seven years ago
    seems obviated by the removal of the main Debram data, besides which
    Zanikolas himself agreed in 2013 that there was no longer much point in
    the request.  Thanked Zanikolas (closes: #482446).
  * Ceased to build the debram(1) tool, obviating the use of a C compiler
    during build.  As far as the maintainer knows, this means that Clang is no
    longer interested in this package (closes: #757277).  If this conclusion is
    incorrect, then Arthur Marble or any other interested person should feel
    free to reopen the bug report.  Thanked Marble.
  * Thanked Samuel Thibault and Bart Martens for their timely NMUs.  Read, then
    erased, the note to the maintainer Thibault left in the source.
  * Updated the package description.
  * Upgraded to build-depend on Debhelper 9.
  * Conformed to Standards Version 3.9.6.
  * Updated the Doc-base section to "Debian".
  * Slightly updated the HISTORY.
  * Removed cmdsel-debs.txt and maint.txt.
  * Did not remove the Makefile, but made it very brief, since there really is
    not much left for this Makefile to do.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 09 May 2015 00:00:00 +0000

debram (1.0.3-0.2) unstable; urgency=low

  * Non-maintainer Upload.
  * Use source:Version instead of Source-Version to fix binNMU installability
    (Closes: Bug#677881).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Jun 2012 15:01:41 +0200

debram (1.0.3-0.1) unstable; urgency=low

  * NMU.
  * src/utf8.h: Include stddef.h.  Closes: #453160.  Patch by Kumar Appaiah
    <akumar@ee.iitm.ac.in>, thanks.

 -- Bart Martens <bartm@debian.org>  Sun, 09 Mar 2008 08:36:42 +0100

debram (1.0.3) unstable; urgency=medium

  * Uploaded post-freeze to sid for etch
    per Steve Langasek's permission
    [http://lists.debian.org/debian-release/2006/09/msg00224.html].
  * Updated the ramification data to reflect etch as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 23 Dec 2006 22:00:00 +0000

debram (1.0.2) unstable; urgency=medium

  * Updated the ramification data to reflect etch as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 25 Nov 2006 22:00:00 +0000

debram (1.0.1) unstable; urgency=medium

  * Updated the ramification data to reflect etch as of this date.
  * Empirically observed that the daily refresh of Debian's FTP archive
    seemed to run between 18:00 and 22:00 GMT (UTC); that is, that
    packages uploaded by 18:00 came early enough for the refresh,
    whereas Packages, Sources and Contents files had been built at least
    for the i386 and amd64 archs by 22:00 (although these do not
    actually appear on the Push-Primary mirrors until several hours
    later).  Delayed debram's daily changelog timestamp to 22:00 GMT for
    this reason.  (One could ask A.J. Towns for more precise hours, but
    really, the matter does not seem important enough to bother him
    about.)
  * Planned tentatively to track the amd64 Packages file, in addition to
    the i386, for etch+1, but noted that etch debram does not track
    packages unavailable in i386.
  * Corrected the spelling of [9358 System Administration under Gnome].
  * Updated maint.txt.
  * Referred to the debram (1.0.0) changelog to explain the upload's
    medium urgency.
  * Noted that this is probably the last unstable upload toward etch,
    but that by Debian Release Manager's permission, one extraordinary
    upload toward etch remains planned during the three weeks following
    Debian's general freeze.  (See the 1.0.0 changelog.)

 -- Thaddeus H. Black <thb@debian.org>  Fri, 06 Oct 2006 22:00:00 +0000

debram (1.0.0) unstable; urgency=medium

  * As proposed in the last changelog, advanced at last to
    version 1.0.0.
  * Also as proposed in the last changelog, advanced debram's ordinary
    upload urgency to the medium level, due to the essential
    perishability of debram's data.  (The maintainer knows of the
    Debian Project's internal development autobuilder sequencing
    algorithm, but notes that autobuilder priority is not what motivates
    this change.  What motivates it is that debram brings perishable
    metadata *on other packages,* which puts it in almost a unique
    position among Debian packages.  Little purpose is served by letting
    the metadata languish ten days in unstable.  Although debram is
    somewhat a bulky package, most of the bulk is data not code.
    Debram does not heavily load the autobuilders in any case.)
    Observed that significant updates to the debram(1) executable, if
    such occurred, would drop the urgency back to low.
  * Planned per Steve Langasek's permission
    [http://lists.debian.org/debian-release/2006/09/msg00224.html]
    to update debram during the three weeks following Debian's general
    freeze.  Observed that although this will not allow debram perfectly
    to track the stable release, it should help significantly, inasmuch
    as debram during those three weeks will have an almost stationary
    target to track.
  * Updated the ramification data to reflect etch as of this date.
  * Linked a few more ramification cross-references (See Also).
  * Rewrote "Updating the library data" in the manpage again.
  * Very slightly revised the commentary in docdata/cmdsel.txt.
  * Caused helper/new-debram-body, when it encounters an unknown
    maintainer name, to delay dying until it has gathered also all the
    other unknown maintainer names which could cause it to die.  Let it
    print all these names together at once to stderr, in both utf-8 and
    iso-8859-1 character encodings.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 18 Sep 2006 21:00:00 +0000

debram (0.7.0) unstable; urgency=low

  * Updated the ramification data to reflect etch as of this date.
  * Acknowledged Anoop Rajendra for ramifying some of the new packages.
  * Observed that this could be version 1.0.0, but cautiously numbered
    it 0.7.x for the moment.  Noted that future uploads before the etch
    release are likely to be marked urgency=medium, due to their
    perishable data.
  * Retreated from the post-1.0 version-numbering plan set forth in
    the 25 Feb 2006 changelog.  (It was a worthy idea, but premature.
    The proposal was too rigid for the demands of the present era of
    Debian development.)  Noted that big future reforms to the
    ramification plan would still increment at least the minor version
    number, but did not strictly define what might constitute a big
    reform.
  * For post-release stable ramification updates, undertook not to
    depart from the stable version number, but only to add a letter to
    it, as "1.2.3a".  (See "Updating the library data" in the manpage.
    Letters on non-stable numbers will continue to denote experimental
    versions, but in the future never on stable numbers.  For example,
    if Debian stable included debram 1.2.3, then debram 1.2.3a would be
    a stable ramification update.  An experimental debram would take the
    number 1.2.4a.)
  * Refined the ramification plan as follows.
    - Added the new [1273 Text Indexing and Searching].
    - Added the new [1458 General Mathematical Documentation].
    - Added the new [1474 Chemistry].
    - Retitled [1792 Debian Jr] to [1792 Debian Jr and Edu].
    - Added the new [2740 Vserver and Xen].
    - Retitled [2790 GNU Hurd] to [2790 GNU Hurd and kFreeBSD].
    - Split the old [3187 Other Revision Control] into three new
      branches: [3187 Other Centralized Revision Control];
      [3188 Arch/Tla/Bazaar]; and [3189 Other Decentralized Revision
      Control].
    - Retitled [3210 Fortran 77] to [3210 Fortran].
    - Added the new [3686 Perl 6] and [3688 GHC Haskell].
    - Added the new [4456 Proprietary Input Devices].
    - Retitled [4730 PCMCIA, APM and Other Mobile Devices]
      to [4730 Notebook Computers], and split it into several branches.
    - Replaced the old [6100 Game Programming] division, which had no
      groups or branches, with the new [6100 General Game Support and
      Programming] division.  Subdivided the new division
      into [6110 Game Programming], [6160 General Network Game Service],
      and [6170 Other General Game Support].
    - Added the new [7600 Scripture, Philosophy and Religion] division
      with its several groups, all of which were new.
    - Added the new [7820 Non-US, Non-GB English].
    - Added the new [8420 Mono].
    - Retitled [8690 Multicasting and Adaptive Communications]
      to [8690 Videoconferencing, Multicasting and Adaptive Comms].
    - Retitled [8730 SNMP and Networked Boot Control] and [8740 Bootp /
      DHCP] to [8730 SNMP, Clusters and Networked Boot Control]
      and [8740 DHCP / Bootp], respectively.
    - Added the new [9355 Evolution].
    - Retitled [9474 Xfce4] to [9474 Xfce].
    - Added the new [9654 X Audio/Music Synthesis].
  * Shifted the basic C++ database libraries from 3820 and 3920 to 3840
    and 3940.
  * Updated the ramification cross-references (See Also).
  * Updated the man page.
  * Noted here a correction to the previous changelog entry:
    s/check-cmdsel-debs.data/cmdsel-debs.data/.
  * Slightly corrected docdata/cmdsel.txt and docdata/cmdsel-debs.txt.
  * In helper/:
    - Slightly updated DescLoc.
    - Extended helper/ramify-whatis to work with apt-ftparchive(1)
      output.
    - Added the new -k option to helper/new-debram-body.
    - Added the new -j option to helper/ramify-whatis.
    - Added the new script count-deps.
    - Added the new script filter-debram-body.
    - Added the new script list-words-cont.
  * Updated maint.txt.
  * Adhered to Policy 3.7.2.

 -- Thaddeus H. Black <thb@debian.org>  Thu, 24 Aug 2006 21:00:00 +0000

debram (0.6.5a) experimental; urgency=low

  * In a change of plan, began to update debram for etch.  Noted
    that 0.6.5 would not seem to be the last debram, after all.
  * Observed that sarge stable users should keep debram 0.6.x installed;
    that they should not update to 0.7.x or later, which concern
    packages not even in sarge.
  * Undertook in and after version 1.0 at least to increment the minor
    version number (as from 1.0 to 1.1) when rams move or ram numbers
    are reassigned.  Noted however that patchlevel incrementation (as
    from 1.1.0 to 1.1.1) may still suffice for some smaller changes to
    the ramification plan, such as clarifications or small changes to
    ram titles and, in some cases, the splitting of existing rams, the
    opening of new ones or the removal of obsolete ones.  Explained that
    the intent in and after 1.0 is to stabilize the ramification plan so
    far as the rapid ongoing pace of Debian development permits; yet to
    the extent that it does not permit, at least to increment version
    numbers appropriately.
  * Removed GFDL licensing.  (All of debram has been and continues
    to be licensed under GPL-2, but for historical reasons parts of
    it had been unnecessarily, confusingly been licensed in parallel
    under GFDL-1.1, too.)
  * Adhered to Policy 3.6.2.1.
  * Revised the source generally, the revisions including the following.
    - Reorganized the source directories.
    - Updated the manpage.
    - Revised helper/RelSteps.
    - Factored common definitions from the several helper scripts.
    - Reformatted the several helper scripts.  Made several further
      corrections and changes there.
    - Pointed readers of debian/copyright to the Debian archive rather
      than to the author's personal website for the latest source.
    - In src/xref.c, changed "The Ramification's Principal Classes"
      to "The Ramification's Principal Sections".
    - In src/argp.c, slightly improved the --help list footer.
    - Added the new helper/test hierarchy, containing some test data for
      the developer's convenience.  (What future use such test data
      might be put to is not known; for the present only
      helper/ramify-whatis is configured to use it.)  Noted here that
      future changes to helper/test will probably be regarded as too
      trivial to burden this changelog with; helper/test will not
      normally be tracked here.
    - In helper/, added the new scripts find-cmdsel-dupes,
      check-cmdsel-debs-data and cmdsel-debs, plus the data file
      check-cmdsel-debs.data for the last script.
    - Extended helper/check-ram-titles to check cmdsel.txt as well as
      debram.txt.
    - Fixed helper/buff-expand's response to illegal options.
    - Slightly improved helper/Alpha.pm's sorting of names having
      several capital letters, so that it correctly sorts "Tm Test"
      before "Tm TESTA" despite the capital "E" in the latter.
    - Let helper/update-date work also on the README.
    - Added appropriate "Notes on the Ramification Numbering System" to
      the backmatter of both debram.txt and cmdsel.txt.
  * Refined the ramification plan as follows.
    - Totally reramified [3600 Perl], from four branches into thirty-one,
      largely without regard to the old 3600 ramification plan.
    - Similarly totally reramified [3500 Python], from four branches
      into twenty-seven.
    - Added development notes relevant to the previous two points in the
      new file helper/PerlPythonNotes.
    - Split the old [1122 Text Scanning and Filtering] into separate
      scanning and filtering branches.  Consequently, because the
      last free number in the [1120 Text Commands] group was the
      unsuitable 1129, renumbered the other branches in the group to
      make room for the split.
    - Split [1211 Compression, Archival and Text/Data Codec] into three
      branches: 1211, 1215 and 1217.
    - Promoted [1245 Emacs] to a group: 1290.  Subramified the new
      group.
    - Reorganized the [1250 Console and TTY] group.
    - Added the new [1315 CUPS].
    - Subramified [1320 Fonts].
    - Reramified [1350 TeX] from two branches to nine.
    - Because [1640 Network Clients and Servers] had no more branch
      numbers available, removed [1642 FTP] therefrom, giving it its own
      new group: 1630.  Reserved the newly available number 1642 for
      future use.
    - Subramified [2210 Kernel Control and Management of Central
      Hardware].
    - Added the new [3273 Haskell].
    - Retired [4476 X-10], merging its remaining packages
      into [4477 Further Unusual or Specialized Devices].
    - Shifted [1313 PDF] to 1314, the better to accommodate related
      cmdsel.txt numbering .
    - Split the new [1276 Gettext] out from ram 1126.
    - Split [1115 File Moving, Copying and Naming] into [1115 File
      Moving and Naming] and [1116 File Copying].
    - Created the new group [3150 Message Passing, ORB, and Interface
      Definition], shifting the old ORB rams 3117 and 3147 thereto and
      adding the new [3151 Dbus] branch.
    - Added the new [8627 Further Network Foundation].  (At the moment,
      the branch remains empty, but it is a logical branch and its
      analog 1627 in cmdsel.txt is not empty.)
    - Subramified [1180 Date and Time].
  * Thoroughly revised and updated cmdsel.txt, which naturally lags,
    to track Debian 3.1r0a.
  * Added version 0.1.1 of the author's otherwise unpackaged DebParse
    Perl modules in the new helper/debparse/.  (This is not Debram
    software as such, but as far as the author knows it has never been
    used anywhere but in Debram development, so as it is unpackaged
    elsewhere it seems logical to keep it here with the Debram source.)
  * Updated the author's e-mail address here, in debian/control,
    in src/argp.c, and elsewhere.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 25 Feb 2006 00:00:00 +0000

debram (0.6.5) unstable; urgency=low

  * Aggregated the changes in experimental versions 0.6.4a through d
    for official release to unstable (see those changelog entries).
  * Observed here that although further bugfixes are not impossible,
    neither are they expected; and that barring an urgent need,
    debram 0.6.5 is expected to the the last debram.
  * Offered admins the following counsel.
    - Sarge stable admins should install the binaries debram 0.6.4
      (distributed with sarge) and debram-data 0.6.5.
    - Sarge stable admins may build and install their own local
      debram 0.6.5 binaries.  This works fine; the source is already
      properly backported.  However, building one's own debram 0.6.5
      binary is unnecessary.  If unsure, follow the advice in the
      previous point.
    - Etch testing and sid unstable admins should install debram 0.6.5
      and debram-data 0.6.5.  They should also probably install debtags.
    - Although etch includes debram, most etch stable admins probably do
      not need it.  Instead, they can and should install debram's
      improved replacement debtags.
    - Etch+1 admins (and sid admins in the era following etch's release)
      do not need debram and, unless they have some unusual historical
      interest, should not install it.
  * Observed here that debram, useful for sarge users, is less useful
    post-sarge and is planned to be removed from Debian after etch's
    release.

 -- Thaddeus H. Black <t@b-tk.org>  Wed, 14 Sep 2005 00:00:00 +0000

debram (0.6.4d) experimental; urgency=low

  * Observed here that this experimental release is a candidate for
    0.6.5 release to sid three days to three weeks from today, if no
    further bugs emerge in the meantime.
  * Updated the FSF's postal address in debian/copyright.

 -- Thaddeus H. Black <t@b-tk.org>  Sat, 03 Sep 2005 00:00:00 +0000

debram (0.6.4c) experimental; urgency=low

  * Observed here that this experimental release is a candidate for
    0.6.5 release to sid three days to three weeks from today, if no
    further bugs emerge in the meantime.
  * Rebuilt debram.txt from the concatenated Packages files included
    with the official Debian 3.1r0a i386 CD set.  (The concatenated CD
    Packages files are substantially similar to the FTP Packages file.
    With respect to one or two packages of optional or extra Priority,
    however, the CDs and FTP seem to disagree on the exact package
    Priority.  Why?  Don't know.  Haven't investigated.  The difference
    admittedly does not amount to much.  Anyway, this debram build
    follows the CDs.)
  * Slightly modified maint.txt and helper/new-debram-body to handle
    correctly the concatenated CD Packages file.

 -- Thaddeus H. Black <t@b-tk.org>  Wed, 31 Aug 2005 00:00:00 +0000

debram (0.6.4b) experimental; urgency=low

  * Taking advantage of the helpful fact that sarge was now stable,
    reviewed the ramification top to bottom, correcting two or three
    hundred misramifications.  Observed that this was meant to be the
    last such general review.
  * Subdivided the 1740 and 9150 rams.
  * Added a few new cross-references between rams.
  * Added a new BUILDING text file, setting forth some notes relevant to
    users who want to build their own debram packages.
  * Added a new helper/RelSteps text file, outlining the steps the
    author typically takes in preparing a new debram release.
  * Added a minor iconv(3)-like capability to helper/new-debram-body.
  * Slightly corrected maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Thu,  4 Aug 2005 00:00:00 +0000

debram (0.6.4a) experimental; urgency=low

  * Observed here that this is the first issue after sarge's release.
    Noted that the debram-data package issued here is fully compatible
    with sarge's debram (0.6.4) package, and that it is expected (and
    supported and recommended) that many sarge debram users will upgrade
    debram-data but not debram.
  * Observed here that the significance of this experimental issue and
    of the forthcoming 0.6.5 issue is that, unlike the 0.6.4 issue
    actually shipped with sarge, these later issues fully cover sarge.
    (The final sarge package list became available only just before
    sarge's release, by which time of course it was too late to update
    debram-data in sarge.  This was expected and planned.  Thus this
    issue, and the forthcoming 0.6.5.)
  * Updated the ramification data to cover all binary packages in sarge
    stable main i386.
  * Added a few new cross-references between rams.  Clarified the title
    of ram 8141.  Corrected a handful of package misramifications.
  * Edited the manpage significantly, reflecting the circumstances
    prevailing after sarge's stable release.  Among other changes,
    - deleted the "Updating the Library Data" section;
    - revised the "Bugs" section; and
    - added a notice that the -c option does not work well on terminals
      with white backgrounds.
  * Extended the Document History appropriately at debram.txt's foot.
  * Deleted one now unneeded helper script.  Slightly improved one or
    two of the others.
  * To avoid confusion for sarge users upgrading debram-data,
    refrained from updating the maintainer's e-mail address here
    to <thb@debian.org> (the maintainer is an official Debian Developer
    as of this issue).
  * Updated maint.txt to include all sarge package maintainers.
  * Observed here that the source is fully buildable on a sarge stable
    system, without any backporting modification.  Undertook to maintain
    such clean backportability for all 0.6.x issues.

 -- Thaddeus H. Black <t@b-tk.org>  Sat, 18 Jun 2005 00:00:00 +0000

debram (0.6.4) unstable; urgency=medium

  * Prepared this upload pursuant to
    - http://lists.debian.org/debian-devel-announce/2005/04/msg00003.html
    - http://lists.debian.org/debian-release/2005/04/msg00029.html
    - http://lists.debian.org/debian-devel/2005/04/msg00161.html
    and the discussion threads descending therefrom.  Expected this
    issue to be the final issue before sarge's release.
  * Updated the ramification data to reflect sarge as of this date.
  * Excepting a handful of packages at their maintainers' request,
    purged data for packages not in sarge.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Sat,  2 Apr 2005 21:00:00 +0000

debram (0.6.3) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.
  * Added some minor new development helper scripts, including
    helper/update-ver and helper/update-date.

 -- Thaddeus H. Black <t@b-tk.org>  Wed,  9 Feb 2005 21:00:00 +0000

debram (0.6.2a) experimental; urgency=low

  * Added automatic locale support (with Maciej Dems).

 -- Thaddeus H. Black <t@b-tk.org>  Thu,  3 Feb 2005 00:00:00 +0000

debram (0.6.2) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.
  * Implemented debram(1)'s -u option to support utf-8 I/O.
    (Maciej Dems' good advice is acknowledged in this.)
  * Implemented debram(1)'s -. option.
  * Extended the manpage's list of library-data download sites.
  * Uncluttered debram(1)'s --help list somewhat by hiding a few
    rarely-used options (the manpage still documents them).

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 24 Jan 2005 21:00:00 +0000

debram (0.6.1) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Fri,  3 Dec 2004 21:00:00 +0000

debram (0.6.0) unstable; urgency=low

  * Included the new sarge debram.txt, with sarge packages ramified per
    the new sarge ramification plan.
  * Because debram.txt now presents current data, removed
    the "Priority: extra" from debian/control, reverting
    to "Priority: optional".
  * Reformed the binary packages' Descriptions.  In particular, gave
    debram-data its own distinct Description and removed the
    now-obsolete woody disclaimer.
  * Updated the manpage to cover the new sarge data issue.
  * Sorted team-maintained packages to the head of each ram,
    except "Tm QA" packages, which are sorted to the foot.
  * Updated debian/README.
  * Updated and extended the development helper scripts.
  * At last understanding Colin Watson's suggestion of three months ago,
    fixed the various development helper scripts to use FindBin to
    locate Perl modules and other files relative to the helper/
    directory.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  8 Nov 2004 21:00:00 +0000

debram (0.5.2) unstable; urgency=low

  * Reprioritized the list of sites from which users can download future
    debram data.
  * Applied Gustavo Franco's manpage patch, correcting the reference in
    the Files section from /usr/lib/debram/ to /usr/share/debram/
    (closes: #276577).
  * Updated and shortened the manpage's Bugs section.
  * Added appropriate acknowledgements to the manpage's Author section.
  * Revised the manpage in several other minor respects.
  * Relaxed the source's Build-Dependency on debhelper, making the same
    debram source equally buildable on woody, sarge and sid platforms.
  * Added the new helper scripts check-maint-addr and check-ram-titles;
    added the new -tmT options to the helper script new-debram-body;
    fixed the helper script buff-expand, stopping it from touching the
    revision timestamps of files it does not alter; edited other
    helpers in minor ways.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Tue, 26 Oct 2004 00:00:00 +0000

debram (0.5.1) unstable; urgency=high

  * Credited Martin Pitt here for discovering the need for the
    following five changes.
  * In the debram-data binary, moved debram.txt from
    /usr/share/doc/debram-data/ to /usr/share/debram-data/,
    to comply with Policy sect 12.3 (closes: #272422).
  * In the debram binary, symlinked the platform-
    independent `debram.txt.gz' from /usr/share/debram/ rather
    than /usr/lib/debram/, to comply with FHS sect 4.7.
  * Removed unneeded empty maintainer scripts (debhelper creates
    suitable default maintainer scripts automatically).
  * To comply with Policy sect 10.1, altered `Makefile' and debian/rules
    - always to compile with debugging symbols (except during a
      local, non-packaging build), stripping unwanted symbols after
      compilation; and
    - to respect "noopt" in DEB_BUILD_OPTIONS.
  * Removed superfluous "configure" target from debian/rules.
  * Because data files have moved (see above), controlled debram-data
    to Conflict against old debram (<< 0.5.1).  (Future debram-data are
    to be compatible with any debram (>= 0.5.1).  If an incomptatible
    debram-data emerged, it would be versioned at least 0.7.)
  * Slightly simplified the binary package interdependencies per
    Giacomo Catenazzi's advice.
  * To avoid abusing the present "urgency=high" upload, deferred
    further, non-urgent changes.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 20 Sep 2004 22:30:00 +0000

debram (0.5.0) unstable; urgency=low

  * Undertook not to change the format of `debram.txt' in 0.5.x or
    0.6.x, thus enabling users (per Giacomo Catenazzi's suggestion)
    later to install new `debram-data' packages or even just to load new
    `debram.txt' files without upgrading the `debram' package.  For this
    reason, incremented the minor version number to 0.5.
  * Planned to number the upcoming complete sarge ramification 0.6, to
    distinguish it from the present 0.5 which lacks complete sarge
    coverage.
  * Because the debram binary package no longer depends on a specific
    version of debram-data, gave debram its own copies of the copyright
    and changelog.gz files.  (Refer to Policy sects 12.5 and 12.7.)
  * Restricted the package license to GPL version 2, rather than GPL
    version 2 or later, thus withdrawing from the FSF its unique
    privilege to extend the license.
  * Implemented debram(1)'s -t option.
  * Added to the man page instructions on finding and installing the
    complete sarge ramification data, when they become available.
  * Extended the man page's Quick Start section.  Also, had the man page
    refer contributors to debtags-devel@lists.alioth.debian.org rather
    than to Thaddeus.  Edited and updated the page in a few other minor
    ways.
  * Merged into debian/rules Giacomo Catenazzi's patch to clean stray
    build stamps.
  * Added a HISTORY file per Enrico Zini's suggestion.
  * With Nick Lewycky's help, made the scripts `helper/new-debram-body'
    and `helper/sort-maint' fully relocatable.
  * Updated `maint.txt'.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  2 Aug 2004 00:00:00 +0000

debram (0.4.2) unstable; urgency=low

  * Observed here that this issue is principally a minor bugfix issue,
    and that more substantive modifications are deliberately held back
    against the apparent imminence of Debian sarge's release.  (Felt
    that a risk of introducing new bugs along with new features seemed a
    poor gamble at the moment.)
  * Disambiguated ram 8657's title from "Other Mail" (which was also
    ram 1657's title) to "Other Mail Transport".
  * Unswapped debram(1)'s seldom-used --data-file and --data-file-gz
    command-line options.
  * Corrected `prdeb.c' print_deb()'s inadvertent wasting of one
    available output column under the `-w' command-line option.
  * Fixed `conv.c' undot()'s edge-case handling.
  * Improved the source code's style slightly in a handful of spots.
  * Updated `maint.txt'; corrected one maintainer's name
    in `debram.txt'.
  * Corrected and extended the helper script `helper/new-debram-body''s
    documentation.
  * Added to the manpage's Bugs section additional remarks about the
    debram's future plans.
  * Conformed to Standards Version 3.6.1.

 -- Thaddeus H. Black <t@b-tk.org>  Sat, 26 Jun 2004 00:00:00 +0000

debram (0.4.1) unstable; urgency=low

  * Corrected `debian/control' to include a build-dependency
    on `zlib1g-dev'.  Closes #231100.

 -- Thaddeus H. Black <t@b-tk.org>  Fri,  6 Feb 2004 00:00:00 +0000

debram (0.4.0) unstable; urgency=low

  * Incremented the version number to 0.4.0 for sponsor Giacomo
    Catenazzi's upload to Debian's unstable archive.  Updated the
    various package dates, histories and version notations accordingly
    but made no other changes to the package.

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 23 Jan 2004 00:00:00 +0000

debram (0.3.1e) experimental; urgency=low

  * Corrected and neatened `helper/new-debram-body' in several small
    ways.  Improved its error messages generally.  Added and documented
    the useful new "unknown maintainer" error message.  Added the -w
    option.
  * Updated `maint.txt'.
  * Updated the manpage's Bugs section.
  * Added some nomenclature to the manpage's Ramification section.

 -- Thaddeus H. Black <t@b-tk.org>  Tue, 20 Jan 2004 00:00:00 +0000

debram (0.3.1d) experimental; urgency=low

  * Removed the `author/' directory and added the new `helper/'
    directory.  The old directory had contained undocumented scripts and
    other files which probably were useless to anyone but the author.
    The new directory contains documented scripts and files potentially
    useful to any debram developer.
  * In `debian/control', added explicit Section and Priority data to
    each binary paragraph; removed the Enhances datum.
  * Updated `maint.txt' to include all the names of sarge's current
    maintainers.  (Debian sarge is in testing at the time of this
    writing.)

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 16 Jan 2004 00:00:00 +0000

debram (0.3.1c) experimental; urgency=low

  * Removed `author/author.tar'.
  * Corrected FTP link in `debian/copyright'.
  * Per Giacomo Catenazzi's suggestion, added error checking to all the
    program's calls to malloc(3) and calloc(3).  (See `alloc.h'.)
  * Conformed to Standards Version 3.5.10.
  * Configured the source to build with debhelper 4.1.  (This means that
    the source now builds for sarge only, not woody.  Debian 3.0 woody
    users should install the old debram 0.3.1.)
  * Retagged `cmdsel.txt' for doc-base.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  5 Jan 2004 00:00:00 +0000

debram (0.3.1) unstable; urgency=low

  * Tracked Debian's 3.0r2 issue.
  * Slightly altered the sorting of package names within a ram, letting
    packages from the same source appear sequentially.
  * Corrected five or six misramifications.
  * Because the debram's own control file refers to them, added
    packages `debram-data' and `debtags' (`debram' had already been
    added in 0.2.0).
  * Corrected color output to xterm(1).
  * Noted here for historical interest that a debram 0.1.0 did exist,
    but that it consisted solely of the unpackaged file `cmdsel.txt'.
    Its issue date was 29 May 2002.  While it was not then a Debian
    package and was not called `debram', it is the direct antecedent of
    today's debram package.

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 26 Dec 2003 00:00:00 +0000

debram (0.3.0) unstable; urgency=low

  * Recast the source as a native Debian package.
  * Split the data files away into a separate, architecture-independent
    binary package `debram-data'.
  * Added new -1 and -s options to debram(1).
  * Extended debram(1)'s -T option to enhance -d and -m.
  * Extended debram(1)'s -d and -m options to accept ram specification.
  * Trimmed and updated debram(1)'s manpage.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 15 Dec 2003 13:14:07 +0000

debram (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 24 Nov 2003 02:36:26 +0000

Local variables:
mode: debian-changelog
End:
